Bug 71762 - a bug within a condition expression in clock.c
a bug within a condition expression in clock.c
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-panel (Show other bugs)
limbo
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-18 07:09 EDT by Deng Guang
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-25 15:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deng Guang 2002-08-18 07:09:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.1b) Gecko/20020722

Description of problem:
In file clock.c near line 370 in function close_on_escape, the condition
expression "event->keyval = GDK_Escape" should be "event->keyval == GDK_Escape".
Note the misuse of assignment operator.This make calendar popup window can be
closed by any key stroke.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Click the clock applet on a panel to popup the Calendar window
2.push any key but the escape key
3.
	

Actual Results:  the popup window disappeared as soon as you pushed down a key
although the key you pushed wasn't the escape key.            

Expected Results:  the popup window only close when you push down escape key.

Additional info:
Comment 1 Havoc Pennington 2002-08-18 11:57:18 EDT
Oops, thanks for tracking this down.
Comment 2 Havoc Pennington 2002-08-25 15:04:23 EDT
fix applied in 2.0.5-6
Comment 3 Havoc Pennington 2002-08-25 15:05:33 EDT
I mean 2.0.6-6
Comment 4 Jay Turner 2002-08-28 09:21:46 EDT
Fix confirmed with gnome-panel-2.0.6-6.

Note You need to log in before you can comment on or make changes to this bug.